Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app.params
Class SequentialSamplingParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.app.params.SequentialSamplingParams

    public class SequentialSamplingParams

extends Object

Defines parameters for sequential sampling based on some type of performance measure.

Field Summary
`protected double` | `confidenceLevel`
`protected Boolean` | `globalOnly`
`protected String` | `measure`
`protected double` | `targetError`

Constructor Summary
`SequentialSamplingParams()`

Method Summary
`double` | `getConfidenceLevel()` Gets the value of the confidenceLevel property.
`String` | `getMeasure()` Gets the value of the measure property.
`double` | `getTargetError()` Gets the value of the targetError property.
`boolean` | `isGlobalOnly()` Gets the value of the globalOnly property.
`boolean` | `isSetConfidenceLevel()`
`boolean` | `isSetGlobalOnly()`
`boolean` | `isSetMeasure()`
`boolean` | `isSetTargetError()`
`void` | `setConfidenceLevel(double value)` Sets the value of the confidenceLevel property.
`void` | `setGlobalOnly(boolean value)` Sets the value of the globalOnly property.
`void` | `setMeasure(String value)` Sets the value of the measure property.
`void` | `setTargetError(double value)` Sets the value of the targetError property.
`void` | `unsetGlobalOnly()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### measure

    protected String measure

### targetError

    protected double targetError

### confidenceLevel

    protected double confidenceLevel

### globalOnly

    protected Boolean globalOnly

Constructor Detail

### SequentialSamplingParams

    public SequentialSamplingParams()

Method Detail

### getMeasure

    public String getMeasure()

  Gets the value of the measure property.

  Returns:
    possible object is `String`

### setMeasure

    public void setMeasure(String value)

  Sets the value of the measure property.

  Parameters:
    `value` - allowed object is `String`

### isSetMeasure

    public boolean isSetMeasure()

### getTargetError

    public double getTargetError()

  Gets the value of the targetError property.

### setTargetError

    public void setTargetError(double value)

  Sets the value of the targetError property.

### isSetTargetError

    public boolean isSetTargetError()

### getConfidenceLevel

    public double getConfidenceLevel()

  Gets the value of the confidenceLevel property.

### setConfidenceLevel

    public void setConfidenceLevel(double value)

  Sets the value of the confidenceLevel property.

### isSetConfidenceLevel

    public boolean isSetConfidenceLevel()

### isGlobalOnly

    public boolean isGlobalOnly()

  Gets the value of the globalOnly property.

  Returns:
    possible object is `Boolean`

### setGlobalOnly

    public void setGlobalOnly(boolean value)

  Sets the value of the globalOnly property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetGlobalOnly

    public boolean isSetGlobalOnly()

### unsetGlobalOnly

    public void unsetGlobalOnly()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.